Bug 1461912 - Fedora 26 Live image hangs during boot
Fedora 26 Live image hangs during boot
Status: NEW
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 11:18 EDT by Jeroen van Hoof
Modified: 2017-08-16 17:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Hoof 2017-06-15 11:18:08 EDT
Description of problem: I have a Dell XPS 15 9560 laptop (i7-7700HQ, GTX 1050), and when I boot the Fedora 26 Beta Live image with my USB, it will hang on "started virtualization daemon". 

I am not sure how to determine exactly what goes wrong, but if someone could help me with this, I will be able to provide more information. I also have Fedora 25 installed on the same laptop. 


Version-Release number of selected component (if applicable): Fedora 26

Steps to Reproduce:
1. Set SSD from RAID to AHCI mode, and disable secure boot.
2. Boot from USB
3. Wait until it hangs after "started virtualization daemon"

Actual results: Hangs after "started virtualization daemon"
Expected results: Should boot into the Fedora Live desktop
Comment 1 Jeroen van Hoof 2017-06-15 11:33:13 EDT
Correction: it does not specifically hang at "started virtualization daemon". Mostly it hangs after "Started User Manager for UID 1000".
Comment 2 Anmar Oueja 2017-07-07 13:39:57 EDT
This continues to happen even with the latest live images from today (July 7th). Given the popularity of this machine, I am surprised there isn't much progress on this or perhaps I am not aware of which bugs will address this issue.
Comment 3 Jeroen van Hoof 2017-07-08 11:26:12 EDT
Kernel 4.12 will have some initial support for Pascal GPU's. It's currently in the Fedora Rawhide versions.

Also, someone that runs Manjaro told me, that he had to add some boot parameters for it to boot (pcie_port_pm=off acpi_backlight=none acpi_osi=Linux acpi_osi=! acpi_osi='Windows 2009').
Comment 4 Arik Kfir 2017-07-11 09:32:54 EDT
This happens to me as well:
- Dell Precision 5520
- Has both NVIDIA and Intel cards (see lspci below)

I could however boot the USB when choosing "Troubleshooting" in the boot menu, and then boot with the basic graphics option. This allowed me to install Fedora to the HDD, but the installed Fedora, although booting ok, did not really work with my NVIDIA card:
- the laptop display was "Unknown Display"
- the only resolution was the 3840x2160 yet GNOME *did not* enter into HiDPI mode (so everything is super small).

Here is the lspci output:
00:00.0 Host bridge: Intel Corporation Device 5910 (rev 05)
00:01.0 PCI bridge: Intel Corporation Skylake PCIe Controller (x16) (rev 05)
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 05)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-H Serial IO I2C Controller #0 (rev 31)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-H Serial IO I2C Controller #1 (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:16.3 Serial controller: Intel Corporation Sunrise Point-H KT Redirection (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
00:1c.1 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #2 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #9 (rev f1)
00:1d.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #13 (rev f1)
00:1d.6 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #15 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Device a171 (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
01:00.0 3D controller: NVIDIA Corporation GM107GLM [Quadro M1200 Mobile] (rev a2)
02:00.0 Network controller: Intel Corporation Wireless 8265 / 8275 (rev 78)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)
04:00.0 Non-Volatile memory controller: Device 1c5c:1283
Comment 5 anders 2017-08-08 09:42:15 EDT
I had a similar experience to Arik Kfir with a Dell Precision 5520. 

From lspci:
00:02.0 VGA compatible controller: Intel Corporation Device 591d (rev 04)
01:00.0 3D controller: NVIDIA Corporation GM107GLM [Quadro M1200 Mobile] (rev a2)

I could install when choosing "Troubleshooting" or similar from the boot menu. But though the installation worked I could not get a stable working system that worked with an external monitor. I tried nouveau, the nvidia binaries from negativo17 and the bumblebee drivers. None worked, some rendered most hardware unusable, and even botched the entire install (google showed several other with similar experience). 

I ended up installing Ubuntu GNOME 17.04 instead, which has worked flawlessly out of the box. I would love to return to Fedora though when this has been solved. If there is anything I can do to help test, I'm available.
Comment 6 axoloti 2017-08-16 17:40:46 EDT
Dell XPS 15 9560 laptop (i7-7700HQ, GTX 1050), Fedora 26. Tried both by Fedora Media Writer download custom image and fedora workstation methods and failed at "Started Virtualization Daemon". With bios changes legacy boot and secure boot disabled. By fiddling with the bios also failed at "Started User Manager..." as also reported above. Switched to Ubuntu-17 and worked well and was impressed. However changing the NVIDIA graphics settings (in Ubuntu) back to low power mode unrecoverably crashed the installation. Oddly Fedora 25 does install and work correctly, but after an update it also failed with SELinux errors. I prefer Redhat software because I assume (but have no facts) that SecurityEnhansedLinux is secure. We have had no problems in the last 6-years (Fedora 20,21,22,23,24,25; 25 on multiple machines). It causes me concern that its been 2-months since the first post of this installation problem, Is anyone working on it? I would switch back to Fedora if it worked. Thanks Fedora staff for your hard work, I know that new (advanced) hardware takes time.
Comment 7 axoloti 2017-08-16 17:47:10 EDT
Also got "ACPI" error, see Bug 1413342

Note You need to log in before you can comment on or make changes to this bug.